Package org.flowable.cmmn.model

# Class ExtensionAttribute

java.lang.Object
org.flowable.cmmn.model.ExtensionAttribute

public class ExtensionAttribute extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `name`
  `protected String`
  `namespace`
  `protected String`
  `namespacePrefix`
  `protected String`
  `value`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExtensionAttribute()`
  `ExtensionAttribute(String name)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ExtensionAttribute`
  `clone()`
  `String`
  `getName()`
  `String`
  `getNamespace()`
  `String`
  `getNamespacePrefix()`
  `String`
  `getValue()`
  `void`
  `setName(String name)`
  `void`
  `setNamespace(String namespace)`
  `void`
  `setNamespacePrefix(String namespacePrefix)`
  `void`
  `setValue(String value)`
  `void`
  `setValues(ExtensionAttribute otherAttribute)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### name

    protected String name

  - ### value

    protected String value

  - ### namespacePrefix

    protected String namespacePrefix

  - ### namespace

    protected String namespace

- ## Constructor Details

  - ### ExtensionAttribute

    public ExtensionAttribute()

  - ### ExtensionAttribute

    public ExtensionAttribute(String name)

- ## Method Details

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getValue

    public String getValue()

  - ### setValue

    public void setValue(String value)

  - ### getNamespacePrefix

    public String getNamespacePrefix()

  - ### setNamespacePrefix

    public void setNamespacePrefix(String namespacePrefix)

  - ### getNamespace

    public String getNamespace()

  - ### setNamespace

    public void setNamespace(String namespace)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### clone

    public ExtensionAttribute clone()
    Overrides:
      `clone` in class `Object`

  - ### setValues

    public void setValues(ExtensionAttribute otherAttribute)